Edsf.PersonaStore – folks-eds Reference Manual

# PersonaStore

## Object Hierarchy:

## Description:

public class PersonaStore : PersonaStore

A persona store representing a single EDS address book.

The persona store will contain Edsf.Personas for each contact in the address book it represents.

Namespace: Edsf
Package: folks-eds

## Content:

### Properties:

- public override string[] always_writeable_properties { get; }
- public override MaybeBool can_add_personas { get; }
  Whether this PersonaStore can add Folks.Personas.
- public override MaybeBool can_alias_personas { get; }
  Whether this PersonaStore can set the alias of Folks.Personas.
- public override MaybeBool can_group_personas { get; }
  Whether this PersonaStore can set the groups of Folks.Personas.
- public override MaybeBool can_remove_personas { get; }
  Whether this PersonaStore can remove Folks.Personas.
- public override bool is_prepared { get; }
  Whether this PersonaStore has been prepared.
- public override bool is_quiescent { get; }
- public override Map<string,Persona> personas { get; }
  The Personas exposed by this PersonaStore.
- public Source source { get; construct; }
  The EDS E.Source associated with this persona store.
- public override string type_id { get; }
  The type of persona store this is.

### Static methods:

- public static async void create_address_book (string id) throws Error
  Create a new address book with the given ID.
- public static async void remove_address_book (PersonaStore store) throws Error
  Remove a persona store's address book permamently.

### Creation methods:

- public PersonaStore (Source s)
  Create a new PersonaStore.
- public PersonaStore.with_source_registry (SourceRegistry r, Source s)
  Create a new PersonaStore.

### Methods:

- public override async Persona? add_persona_from_details (HashTable<string,Value?> details) throws PersonaStoreError
  Add a new Persona to the PersonaStore.
- public override async void prepare () throws PersonaStoreError
  Prepare the PersonaStore for use.
- public override async void remove_persona (Persona persona) throws PersonaStoreError
  Remove a Persona from the PersonaStore.

### Inherited Members:

All known members inherited from class Folks.PersonaStore

- add_persona_from_details
- always_writeable_properties
- can_add_personas
- can_alias_personas
- can_group_personas
- can_remove_personas
- detail_key
- display_name

- flush
- id
- is_prepared
- is_primary_store
- is_quiescent
- is_user_set_default
- is_writeable

- personas
- personas_changed
- prepare
- remove_persona
- removed
- trust_level
- type_id

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref